<template>
    <div class="topline">
        <div class="">
            <div class="row">
                <div class="col-md-8">
                    <div class="info-block font-weight-bold">
                        <div class="logotype">
                            <router-link to="/Home"><img src="../assets/logotype.png" alt="#"></router-link>
                        </div>
                        <div class="topline-nav">
                            <div class="web-access topline-links">
                             <v-icon color="white" class="mr-2">vpn_key</v-icon><span>{{NavLink01}}</span>
                            </div>
                            <div class="payments topline-links">
                                <v-icon color="white" class="mr-2">credit_card</v-icon><span>{{NavLink02}}</span>
                            </div>
                            <div class="bonus-block">
                                <img src="../assets/bonus-img.png" alt="#">
                                <div class="bonus-box">
                                    <p>Bonus</p>
                                    <p><span class="color-primary mr-1">{{bonusMoney}}</span>UAH</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="user-block">
                        <div class="reg-block">
                            <router-link to="/Reg" class="color-primary">Registration</router-link>
                        </div>
                        <div class="log-in-block">
                            <a href="#">Log In</a>
                        </div>
                        <div class="langs">
                            <select class="lang-box" name="langs">
                                <option value="EN">EN</option>
                                <option value="RU">RU</option>
                            </select>
                        </div>
                        <div class="profile">
                            <a href="#"><img src="../assets/profile_img.jpg" alt="#"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data: () => ({
      NavLink01: 'Website access',
      NavLink02: 'Payments',
      bonusMoney: '3000',
      items: [
        { title: 'Click Me' },
        { title: 'Click Me' },
        { title: 'Click Me' },
        { title: 'Click Me 2' }
    ],
    methods: {

    },
    showCollapse: true
    })
}
</script>

<style lang="scss" scoped>
.topline {
    padding: 20px 50px;
    background-color: #2b2b2b;
    color: #7b7b7b;

    @media screen and ( max-width: 998px) {
        display: none;
    }

    .info-block {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        .topline-nav {
            display: flex;
            align-items: center;

            width: 100%;
            div {
                margin: 0 20px;
            }
            .topline-links {
                span {
                    color: #7b7b7b;
                }
            }
            .fa-key.fa-credit-card {
                margin-right: 5px;
            }
            .bonus-block {
                display: flex;
                .bonus-box {
                    p {
                        margin: 0
                    }
                }
                img {
                    width: 45px;
                    height: 45px;
                }
            }
            .payments {
                margin: 0 20px;
            }
        }
    }
    .user-block {
        display: flex;
        justify-content: flex-end;
        align-items: center;

        width: 100%;
        height: 100%;
        a {
            font-weight: bold;
        }
        div {
            margin: 0 15px;
        }
    }
    .color-primary {
        color: #d6892f;
    }
}
</style>
